#Workaround for 64 bit CPUs
%define _lib lib
%define debug_package %{nil}
%define kversion %(verrel=$(ls -Ud /usr/src/kernels/* | sort -V | tail -n 1); echo ${verrel##*/})

Summary: The DAHDI project Firmware
Name: dahdi-firmware
Version: 2.11.0
Release: 2%{?_rc:.rc%{_rc}}%{?_beta:.beta%{_beta}}%{?dist}
License: GPL
Group: Utilities/System
Source0: dahdi-linux-%{version}.tar.gz
Source1: dahdi-fw-a4a-a0017.tar.gz
Source2: dahdi-fw-a4b-d001e.tar.gz
Source3: dahdi-fw-a8a-1d0017.tar.gz
Source4: dahdi-fw-a8b-1f001e.tar.gz
Source5: dahdi-fw-hx8-2.06.tar.gz
Source6: dahdi-fw-oct6114-032-1.05.01.tar.gz
Source7: dahdi-fw-oct6114-064-1.05.01.tar.gz
Source8: dahdi-fw-oct6114-128-1.05.01.tar.gz
Source9: dahdi-fw-oct6114-256-1.05.01.tar.gz
Source10: dahdi-fw-tc400m-MR6.12.tar.gz
Source11: dahdi-fw-te133-7a001e.tar.gz
Source12: dahdi-fw-te134-780017.tar.gz
Source13: dahdi-fw-te435-13001e.tar.gz
Source14: dahdi-fw-te436-10017.tar.gz
Source15: dahdi-fw-te820-1.76.tar.gz
Source16: dahdi-fw-vpmoct032-1.12.0.tar.gz
Source17: dahdi-fwload-vpmadt032-1.25.0.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.asterisk.org/
Vendor: Digium, Inc.
Packager: Dan Tucny <d@tucny.com>

BuildRequires: kernel
BuildRequires: kernel-devel
Obsoletes: dahdi-firmware-hx8 <= 2.0.6-2
Conflicts: dahdi-firmware-hx8 <= 2.0.6-2
Provides: dahdi-firmware-hx8 = 2.0.6-2
Obsoletes: dahdi-firmware-oct6114-032 <= 1.0.5.01-2
Conflicts: dahdi-firmware-oct6114-032 <= 1.0.5.01-2
Provides: dahdi-firmware-oct6114-032 = 1.0.5.01-2
Obsoletes: dahdi-firmware-oct6114-064 <= 1.0.5.01-2
Conflicts: dahdi-firmware-oct6114-064 <= 1.0.5.01-2
Provides: dahdi-firmware-oct6114-064 = 1.0.5.01-2
Obsoletes: dahdi-firmware-oct6114-128 <= 1.0.5.01-2
Conflicts: dahdi-firmware-oct6114-128 <= 1.0.5.01-2
Provides: dahdi-firmware-oct6114-128 = 1.0.5.01-2
Obsoletes: dahdi-firmware-oct6114-256 <= 1.0.5.01-2
Conflicts: dahdi-firmware-oct6114-256 <= 1.0.5.01-2
Provides: dahdi-firmware-oct6114-256 = 1.0.5.01-2
Obsoletes: dahdi-firmware-tc400m <= MR6.12-2
Conflicts: dahdi-firmware-tc400m <= MR6.12-2
Provides: dahdi-firmware-tc400m = MR6.12-2
Obsoletes: dahdi-firmware-te133 <= 6f0017-2
Conflicts: dahdi-firmware-te133 <= 6f0017-2
Provides: dahdi-firmware-te133 = 7a001e-2
Obsoletes: dahdi-firmware-te134 <= 6f0017-2
Conflicts: dahdi-firmware-te134 <= 6f0017-2
Provides: dahdi-firmware-te134 = 780017-2
Obsoletes: dahdi-firmware-te820 <= 1.76-2
Conflicts: dahdi-firmware-te820 <= 1.76-2
Provides: dahdi-firmware-te820 = 1.76-2
Obsoletes: dahdi-firmware-vpmoct032 <= 1.12.0-2
Conflicts: dahdi-firmware-vpmoct032 <= 1.12.0-2
Provides: dahdi-firmware-vpmoct032 = 1.12.0-2

%description
The open source DAHDI project - binary firmware blobs

%prep
%setup -c -n %{name}-%{version}
cp %{SOURCE1} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE2} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE3} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE4} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE5} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE6} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE7} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE8} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE9} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE10} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE11} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE12} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE13} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE14} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE15} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE16} dahdi-linux-%{version}/drivers/dahdi/firmware/
cp %{SOURCE17} dahdi-linux-%{version}/drivers/dahdi/firmware/

###################################################################
#
#  The Build Section
#  Use shell scripts and do stuff that makes the build happen, i.e. make
#
###################################################################
%build
echo %{version} > .version
cd dahdi-linux-%{version}
make DESTDIR=$RPM_BUILD_ROOT firmware-loaders
cd ../

###################################################################
#
#  The Install Section
#  Use shell scripts and perform the install, like 'make install', 
#  but can also be shell commands, i.e. cp, mv, install, etc.. 
#
###################################################################
%install
cd dahdi-linux-%{version}
make DESTDIR=$RPM_BUILD_ROOT KVERS="%{kversion}" install-firmware
cd ../

###################################################################
#
#  Install and Uninstall 
#  This section can have scripts that are run either before/after
#  an install process, or before/after an uninstall process
#  %pre - executes prior to the installation of a package
#  %post - executes after the package is installed
#  %preun - executes prior to the uninstallation of a package
#  %postun - executes after the uninstallation of a package
#
###################################################################
%post

###################################################################
#
#  Verify
#
###################################################################
%verifyscript

###################################################################
#
#  Clean
#
###################################################################
%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf /var/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT

###################################################################
#
#  File List
#
###################################################################
%files
#
#  Documents
#
#%doc UPGRADE.txt
/lib/firmware/dahdi*
/lib/firmware/.dahdi*

#
# Changelog
#
%changelog
* Sun Feb 21 2016 D Tucny <d@tucny.com> - 2.11.0-2
- Bump release on obsoleted packages to handle release suffix used on Digium packages

* Sun Feb 21 2016 D Tucny <d@tucny.com> - 2.11.0-1
- Update to 2.11.0 - no actual firmware updates
- Make upgrading from Digium packages smoother

* Tue Dec 22 2015 D Tucny <d@tucny.com> - 2.10.2-1
- Update to 2.10.2

* Wed Feb 17 2010 D Tucny <d@tucny.com> 2.2.1-2
- Merge dahdi-linux and kmod-dahdi-linux packages
- Use kmodtool with kABI use to allow a single kmod for multiple kernels
- Add changelog
